Package org.bukkit.event.player

# Class PlayerCommandSendEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
org.bukkit.event.player.PlayerCommandSendEvent

public class PlayerCommandSendEvent extends PlayerEvent
This event is called when the list of available server commands is sent to the player.
Commands may be removed from display using this event, but implementations are not required to securely remove all traces of the command. If secure removal of commands is required, then the command should be assigned a permission which is not granted to the player.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerCommandSendEvent(@NotNull Player player, @NotNull Collection<String> commands)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Collection<String>`
`getCommands()`
Returns a mutable collection of all top level commands to be sent.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerCommandSendEvent

public PlayerCommandSendEvent(@NotNull @NotNull Player player, @NotNull @NotNull Collection<String> commands)

## Method Details

### getCommands

@NotNull public @NotNull Collection<String> getCommands()
Returns a mutable collection of all top level commands to be sent.
It is not legal to add entries to this collection, only remove them. Behaviour of adding entries is undefined.

Returns:
  collection of all commands

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()